0°

预警XStream < 1.4.17 反序列化远程代码执行漏洞(CVE-2021-29505)

2021年5月17日,本站安全专题监测到 XStream 官方发布安全公告,披露CVE-2021-29505 反序列化远程代码执行漏洞。

漏洞描述

XStream是一个常用的Java对象和XML相互转换的工具。2021年5月15日 XStream官方发布安全更新,修复了多个XStream 反序列化漏洞。攻击者通过构造恶意的XML文档,可绕过XStream的黑名单,触发反序列化,从而造成 CVE-2021-29505 反序列化代码执行漏洞等。实际漏洞利用依赖于具体代码实现以及相关接口请求,无法批量远程利用。本站安全专题提醒 XStream 用户尽快采取安全措施阻止漏洞攻击。

漏洞细节:公开

漏洞POC:已知

漏洞EXP:已知

在野利用:未知

漏洞评级

CVE-2021-29505 远程代码执行漏洞 高危

影响版本

XStream < 1.4.17

安全版本

XStream 1.4.17

安全建议

针对使用到XStream组件的web服务升级至最新版本:http://x-stream.github.io/changes.html

相关链接

https://x-stream.github.io/security.html#workaround

云盾WAF已可防护该类漏洞,并提供7天免费漏洞应急服务,为您争取漏洞修复时间,应急开通地址:云中心

安全云中心应用漏洞模块已支持对该漏洞一键检测

安全云中心已可防御此漏洞攻击

我们会关注后续进展,请随时关注官方公告。

内容来自网络,如有侵犯到您的权益,请联系站长QQ7529997,我们将及时处理。

本站安全专题

2021.5.17

「点点赞赏,手留余香」

    还没有人赞赏,快来当第一个赞赏的人吧!